#include <iostream>
#include <algorithm>
#include <map>

using namespace std;

int main(){
ios_base::sync_with_stdio(NULL);
cin.tie(nullptr);
long long n,k;
cin >> n >> k;
long long p[k];
long long p2[k];
map<long long,long long> x;
for(long long i=0;i<k;i++){
    cin >> p[i];
    p2[i]=p[i];
    x[p[i]]=0;
}
sort(p2,p2+k);
for(long long i=1;i<k;i++){
    for(long long j=1;j*p2[i]<=n;j++){
        x[j*p2[i]]=p2[i]^x[j*p2[i]];
    }
}
for(long long i=0;i<k;i++) cout << (x[p[i]]^1ll) << " ";
cout << "\n";
return 0;
}